PHP Manual
Prev |  | Next

# is_a

(PHP 4 >= 4.2.0, PHP 5)

is_a -- Checks if the object is of this class or has this class as one of its parents

## Description

bool is_a ( object object, string class_name )

Checks if the given `object` is of this class or has this class as one of its parents.

> Note: The is_a() function is deprecated as of PHP 5 in favor of the instanceof type operator.

## Parameters

`object`

  The tested object

`class_name`

  The class name

## Return Values

Returns `TRUE` if the object is of this class or has this class as one of its parents, `FALSE` otherwise.

## Examples

Example 1. is_a() example

`<?php // define a class class WidgetFactory { var $oink = 'moo'; } // create a new object $WF = new WidgetFactory(); if (is_a($WF, 'WidgetFactory')) { echo "yes, \$WF is still a WidgetFactory\n"; } ?>`

Example 2. Using the instanceof operator in PHP 5

`<?php if ($WF instanceof WidgetFactory) { echo 'Yes, $WF is a WidgetFactory'; } ?>`

## See Also

get_class()
get_parent_class()
is_subclass_of()

Prev | Home | Next
interface_exists | Up | is_subclass_of